{% extends "layouts/page.html" %}{% load static %}
{% block page %}
{% static "/media/images/contact.jpeg" as image %}
{% include "layouts/showcase.html" with image=image title=_("Contact with Islamic Center of Maineville") %}
<div class="max-w-screen-xl mx-auto mt-2 xs:mt-8 p-8">

  {% comment %} EMPLOYEES {% endcomment %}
  <div
    data-aos="fade-up-right"
    data-aos-duration="1000"
    data-aos-anchor-placement="top-bottom"
    class="text-2xl xs:text-3xl font-medium p-3"
  >
    {{_("Employees")}}
  </div>
  <div
    data-aos="zoom-out-up"
    data-aos-duration="1000"
    data-aos-anchor-placement="top-bottom"
    class="w-full bg-white/50 rounded-md shadow-lg overflow-x-auto"
  >
    <table class="w-full whitespace-nowrap">
      <thead class="text-left text-accent bg-gradient-to-br from-main/95 to-main-dark">
        <tr class="shadow-md">
          <th class="p-3 font-medium">{{_("Contact name")}}</th>
          <th class="p-3 font-medium">{{_("Position")}}</th>
          <th class="p-3 font-medium">{{_("Phone")}}</th>
          <th class="p-3 font-medium">{{_("Email")}}</th>
        </tr>
      </thead>
      <tbody>
        {% for employee in employees %}
        <tr class="even:bg-main-white">
          <td class="p-3">{{employee.contact_name}}</td>
          <td class="p-3">{{employee.position}}</td>
          <td class="p-3">
            <a href="tel:{{employee.phone}}" title="{{employee.phone}}" class="italic hover:underline transition">
              {{employee.phone}}
            </a>
          </td>
          <td class="p-3">
            <a href="mailto:{{employee.email}}" title="{{employee.email}}" class="italic hover:underline transition">
              {{employee.email}}
            </a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>


  <div
    data-aos="fade-up-right"
    data-aos-duration="1000"
    data-aos-anchor-placement="top-bottom"
    class="text-2xl xs:text-3xl font-medium p-3 mt-12"
  >
    {{_("Contacts")}}
  </div>


  <div class="grid lg:grid-cols-2 gap-10 mb-10">

    {% comment %} CONTACTS {% endcomment %}
    <div
      data-aos="fade-up-right"
      data-aos-duration="1000"
      data-aos-anchor-placement="top-bottom"
    >
      <div class="h-full grid gap-10">
        {% comment %} ADDRESS {% endcomment %}
        <div class="h-full grid gap-5 bg-gradient-to-br from-white to-main-white p-10 rounded-lg shadow-lg transition  duration-500 hover:shadow-card hover:-translate-y-0.5">
          <h3 class="flex gap-3 items-center text-2xl font-medium">
            <img
              class="w-16 h-16 object-cover drop-shadow-lg"
              src="{% static 'media/images/islamic_logo.webp' %}"
              height="64"
              width="64"
            />
            <span>{{_("Islamic Center of Maineville")}}</span>
          </h3>
          <div>
            <p class="text-main-dark italic font-medium">{{_("Working time")}}:</p>
            <p class="grid grid-cols-[1.3rem_auto] items-baseline px-1 pt-0.5">
            <i class="fa-solid fa-clock drop-shadow-lg"></i>
              <span>{{address.working_time}}</span>
            </p>
          </div>
          <div>
            <p class="text-main-dark italic font-medium">{{_("Working days")}}:</p>
            <p class="grid grid-cols-[1.3rem_auto] items-baseline px-1 pt-0.5">
              <i class="fa-solid fa-calendar-days drop-shadow-lg"></i>
              <span>{{address.working_days}}</span>
            </p>
          </div>
          <div>
            <p class="text-main-dark italic font-medium">{{_("Phone")}}:</p>
            <p class="grid grid-cols-[1.3rem_auto] items-baseline px-1 pt-0.5">
              <i class="fa-solid fa-phone drop-shadow-lg"></i>
              <a href="tel:{{address.phone}}" title="{{address.phone}}" class="hover:underline transition">
                {{address.phone}}
              </a>
            </p>
          </div>
          <div>
            <p class="text-main-dark italic font-medium">{{_("Email")}}:</p>
            <p class="grid grid-cols-[1.3rem_auto] items-baseline px-1 pt-0.5">
              <i class="fa-solid fa-envelope drop-shadow-lg"></i>
              <a href="mailto:{{address.email}}" title="{{address.email}}" class="hover:underline transition">
                &nbsp;{{address.email}}
              </a>
            </p>
          </div>
          <div>
            <p class="text-main-dark italic font-medium">{{_("Address")}}:</p>
            <p class="grid grid-cols-[1.3rem_auto] items-baseline px-1 pt-0.5">
              <i class="fa-solid fa-location-dot drop-shadow-lg"></i>
              <a href="https://maps.google.com/maps?ll=39.304628,-84.216139&z=16&t=m&hl=en&gl=US&mapclient=embed&q=8665%20OH-48%20Maineville%2C%20OH%2045039" title="Open Map" class="hover:underline transition">
                <span>{{address.address_line_1}}</span>,
                <br/>
                <span>{{address.address_line_2}}</span>.
              </a>
            </p>
          </div>
        </div>

        {% comment %} SOCIALS {% endcomment %}
        <div
          data-aos="fade-up"
          data-aos-duration="1000"
          data-aos-anchor-placement="top-bottom"
        >
          <div class="flex justify-center items-center gap-3 bg-gradient-to-br from-white to-main-white px-10 py-6 rounded-lg shadow-lg transition  duration-500 hover:shadow-card hover:-translate-y-0.5">
            <h3 class="text-2xl font-medium">{{_("Social network")}}</h3>
            <ul class="flex gap-x-3 px-3 items-center text-3xl">
              <li>
                <a href="https://facebook.com" target="_blank" title="Facebook" class="hover:text-main-dark transition-colors drop-shadow-lg">
                  <i class="fa-brands fa-facebook"></i>
                  <span class="sr-only">Facebook</span>
                </a>
              </li>
              <li>
                <a href="https://twitter.com" target="_blank" title="Twitter" class="hover:text-main-dark transition-colors drop-shadow-lg">
                  <i class="fa-brands fa-twitter"></i>
                  <span class="sr-only">Twitter</span>
                </a>
              </li>
              <li>
                <a href="https://youtube.com" target="_blank" title="Youtube" class="hover:text-main-dark transition-colors drop-shadow-lg">
                  <i class="fa-brands fa-youtube"></i>
                  <span class="sr-only">Youtube</span>
                </a>
              </li>
              <li>
                <a href="https://instagram.com" target="_blank" title="Instagram" class="hover:text-main-dark transition-colors drop-shadow-lg">
                  <i class="fa-brands fa-instagram"></i>
                  <span class="sr-only">Instagram</span>
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>

    {% comment %} APPLY {% endcomment %}
    <div 
      data-aos="fade-up-left"
      data-aos-duration="1000"
      data-aos-anchor-placement="top-bottom"
    >
      <div class="h-full items-start bg-gradient-to-br from-white to-main-white p-10 rounded-lg shadow-lg transition  duration-500 hover:shadow-card hover:-translate-y-0.5">
        <h3 class="text-2xl font-medium mb-5">
          {{_("Ask the manager for advice")}}
        </h3>
        <p class="mb-5 indent-6">
          Telefon raqamingizni qoldiring - biz siz bilan bog'lanamiz va taqdimot uchun qulay vaqtni tanlaymiz: mahsulot qanday ishlashini ko'rsatamiz va yetakchi guruh sizning sohangizda qanday vazifalarni hal qilishi mumkinligini aytib beramiz.
        </p>
        <form>
          <div class="pb-5">
            <label for="name" class="text-sm px-1.5 block pb-2">{{_("Name")}}:</label>
            <input
              class="w-full bg-white rounded shadow-md px-3 py-1.5 border"
              autocomplete="given-name"
              autocapitalize="on"
              name="name"
              type="text"
              required
            />
          </div>
          <div class="pb-5">
            <label for="email" class="text-sm px-1.5 block pb-2">{{_("Email")}}:</label>
            <input
              class="w-full bg-white rounded shadow-md px-3 py-1.5 border"
              autocapitalize="none"
              autocomplete="email"
              name="email"
              type="email"
              required
            />
          </div>
          <div class="pb-5">
            <label for="tel" class="text-sm px-1.5 block pb-2">{{_("Phone")}}:</label>
            <input
              class="w-full bg-white rounded shadow-md px-3 py-1.5 border"
              autocomplete="tel-local"
              name="tel"
              type="tel"
              required
            />
          </div>
          <div class="grid py-5">
            <button
              class="inline-flex items-center justify-center text-white font-medium px-5 rounded shadow-md transition h-10 hover:bg-main-dark bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl"
              type="submit"
            >
              {{_("Submit")}}
            </button>
          </div>
        </form>
      </div>
    </div>

  </div>


  {% comment %} MAP {% endcomment %}
  <div 
    data-aos="zoom-out-up"
    data-aos-duration="1000"
    data-aos-anchor-placement="top-bottom"
  >
    <div class="h-96 bg-gradient-to-br from-white to-main-white rounded-lg shadow-lg transition  duration-500 hover:shadow-card hover:-translate-y-0.5 overflow-hidden">
      <iframe
        referrerpolicy="no-referrer-when-downgrade"
        class="w-full h-full animate-appear"
        src="{{address.location_link}}"
        allowfullscreen
        loading="lazy"
        height="350"
        width="650"
      ></iframe>
    </div>
  </div>
</div>
{% endblock page %}
